import React from "react";
import {CheckCircle, Info, Record, Warning, WarningDiamond} from "@phosphor-icons/react";

/**
 * Modal types enumeration.
 */
export enum ModalType
{
	INFO = "info",
	SUCCESS = "success",
	WARNING = "warning",
	ERROR = "error",
	NONE = "none",
}

/**
 * Icon for each modal type.
 */
export const ModalTypeIcon: Record<ModalType, React.ReactElement> = {
	[ModalType.INFO]: <Info size={24} weight={"duotone"} />,
	[ModalType.SUCCESS]: <CheckCircle size={24} weight={"duotone"} />,
	[ModalType.WARNING]: <Warning size={24} weight={"duotone"} />,
	[ModalType.ERROR]: <WarningDiamond size={24} weight={"duotone"} />,
	[ModalType.NONE]: null,
};
